commit: 918d50a836b2cd7639dfaea61628b94c87a5c186
Author: Martin Mokrejš <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
AuthorDate: Mon Jul 11 09:10:57 2016 +0000
Commit: Martin Mokrejs <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
CommitDate: Mon Jul 11 09:10:57 2016 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=918d50a8
sci-biology/TransDecoder: respect EPREFIX, add missing die
Package-Manager: portage-2.2.28
sci-biology/TransDecoder/TransDecoder-2.0.1.ebuild | 2 +-
sci-biology/TransDecoder/TransDecoder-2.1.0.ebuild | 6 +++++-
2 files changed, 6 insertions(+), 2 deletions(-)
diff --git a/sci-biology/TransDecoder/TransDecoder-2.0.1.ebuild
b/sci-biology/TransDecoder/TransDecoder-2.0.1.ebuild
index dfe3fbb..9ca6b2b 100644
--- a/sci-biology/TransDecoder/TransDecoder-2.0.1.ebuild
+++ b/sci-biology/TransDecoder/TransDecoder-2.0.1.ebuild
@@ -53,7 +53,7 @@ src_install(){
dobin TransDecoder.Predict TransDecoder.LongOrfs
insinto /usr/share/${PN}/util
doins util/*.pl
- chmod -R a+rx "${D}"/usr/share/${PN}/util
+ chmod -R a+rx "${D}"/"${EPREFIX}"/usr/share/${PN}/util || die
# zap the bundled cdhit binaries copied from
transdecoder_plugins/cdhit/ to util/bin
rm -rf util/bin
#
diff --git a/sci-biology/TransDecoder/TransDecoder-2.1.0.ebuild
b/sci-biology/TransDecoder/TransDecoder-2.1.0.ebuild
index 9fbcea5..2a65c0c 100644
--- a/sci-biology/TransDecoder/TransDecoder-2.1.0.ebuild
+++ b/sci-biology/TransDecoder/TransDecoder-2.1.0.ebuild
@@ -53,7 +53,7 @@ src_install(){
dobin TransDecoder.Predict TransDecoder.LongOrfs
insinto /usr/share/${PN}/util
doins util/*.pl
- chmod -R a+rx "${D}"/usr/share/${PN}/util
+ chmod -R a+rx "${D}"/"${EPREFIX}"/usr/share/${PN}/util || die
# zap the bundled cdhit binaries copied from
transdecoder_plugins/cdhit/ to util/bin
rm -rf util/bin
#
@@ -67,6 +67,10 @@ src_install(){
# * /usr/bin/TiedHash.pm
#
perl_set_version
+ # this is broken and installs into
+ #
/scratch/mmokrejs/gentoo/var/tmp/portage/sci-biology/TransDecoder-2.1.0/image/scratch/mmokrejs/gentoo/scratch/mmokrejs/gentoo/usr/lib/perl5/vendor_perl/
+ # instead of
+ #
/scratch/mmokrejs/gentoo/var/tmp/portage/sci-biology/TransDecoder-2.1.0/image/scratch/mmokrejs/gentoo/usr/lib/perl5/vendor_perl/
insinto ${VENDOR_LIB}/${PN}
doins PerlLib/*.pm
# dodoc Release.Notes